> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Get Knowledge Hub Country Guides by Country Code

GET https://api.letsdeel.com/rest/knowledge-hub/country-guide/{country_code}

Returns country guides segmented by audience and contract type for the specified `country_code`.

 **Token scopes**: `knowledge-hub:read`

Reference: https://developer.deel.com/api/reference/endpoints/knowledge-hub/get-knowledge-hub-country-guides-by-country-code-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `country_code` (string, required) — Country code for which we need to fetch the country guides

## Response

### 200

Successful response containing audiences, their contract types, and associated categories, fields, and articles.

- `data` (list of KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaDataItems, optional) — List of different audiences with associated categories and contract types.
- `has_more` (boolean, optional) — Indicates if there are more items to fetch.
- `next_cursor` (string, optional, nullable) — Cursor for the next page of results
- `total_count` (double, optional) — Total number of audiences

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `errors` (list of KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaDataItems

Represents a specific audience such as Contractor, Client, or Employee.

- `name` (string, required) — Display name of the audience.
- `value` (string, required) — Identifier or key representing the audience in lowercase.
- `categories` (list of KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsCategoriesItems, optional) — List of categories applicable to this audience.
- `contract_types` (list of KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsContractTypesItems, optional) — List of contract types available for this audience.

### KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — Machine-readable error code
- `message` (string, optional) — Human-readable explanation of the error

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsCategoriesItems

- `id` (string, required) — ID for the category
- `icon` (string, required) — Icon aligning with the category
- `name` (string, required) — Display name of the category
- `fields` (list of KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsCategoriesItemsFieldsItems, required) — An array of informative fields and it's value that the category contains
- `articles` (list of KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsCategoriesItemsArticlesItems, required) — An array of articles that are connected to this category

### KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsContractTypesItems

- `name` (string, required) — The user friendly name of the contract type
- `value` (string, required) — Identifier or key representing the contract type in lowercase.
- `categories` (list of KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsContractTypesItemsCategoriesItems, required) — List of categories applicable to this audience.

### KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsCategoriesItemsFieldsItems

- `id` (string, required) — ID of the field
- `name` (string, required) — Title of the field
- `type` (enum, required) — Type of the field, can contain text, link or html
  - Allowed values: `TEXT`, `LINK`, `HTML`
- `value` (string, optional, nullable) — The value associated for the field

### KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsCategoriesItemsArticlesItems

- `id` (string, required) — ID for the article
- `tags` (list of KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsCategoriesItemsArticlesItemsTagsItems, required) — Array of tags inside an article
- `type` (enum, required) — The type of the article, can contain knowledge or compliance
  - Allowed values: `KNOWLEDGE`, `COMPLIANCE`
- `title` (string, required) — Title of the article
- `created_at` (string, required) — The timestamp when the article was created
- `updated_at` (string, required) — The timestamp when the article was last updated
- `description` (string, required) — An excerpt for the article
- `featured_image` (string, required) — The featured image for the article
- `effective_date` (string, optional, nullable) — The date when the article will be effective, meaning the content inside it becomes effective in the real world)

### KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsContractTypesItemsCategoriesItems

- `id` (string, required) — ID for the category
- `icon` (string, required) — Icon aligning with the category
- `name` (string, required) — Display name of the category
- `fields` (list of KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsContractTypesItemsCategoriesItemsFieldsItems, required) — An array of informative fields and it's value that the category contains
- `articles` (list of KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsContractTypesItemsCategoriesItemsArticlesItems, required) — An array of articles that are connected to this category

### KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsCategoriesItemsArticlesItemsTagsItems

- `id` (string, required) — ID for the tag
- `tag` (string, required) — Slug for the tag
- `title` (string, required) — Title of the tag

### KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsContractTypesItemsCategoriesItemsFieldsItems

- `id` (string, required) — ID of the field
- `name` (string, required) — Title of the field
- `type` (enum, required) — Type of the field, can contain text, link or html
  - Allowed values: `TEXT`, `LINK`, `HTML`
- `value` (string, optional, nullable) — The value associated for the field

### KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsContractTypesItemsCategoriesItemsArticlesItems

- `id` (string, required) — ID for the article
- `tags` (list of KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsContractTypesItemsCategoriesItemsArticlesItemsTagsItems, required) — Array of tags inside an article
- `type` (enum, required) — The type of the article, can contain knowledge or compliance
  - Allowed values: `KNOWLEDGE`, `COMPLIANCE`
- `title` (string, required) — Title of the article
- `created_at` (string, required) — The timestamp when the article was created
- `updated_at` (string, required) — The timestamp when the article was last updated
- `description` (string, required) — An excerpt for the article
- `featured_image` (string, required) — The featured image for the article
- `effective_date` (string, optional, nullable) — The date when the article will be effective, meaning the content inside it becomes effective in the real world)

### KnowledgeHubCountryGuideCountryCodeGetResponsesContentApplicationJsonSchemaDataItemsContractTypesItemsCategoriesItemsArticlesItemsTagsItems

- `id` (string, required) — ID for the tag
- `tag` (string, required) — Slug for the tag
- `title` (string, required) — Title of the tag

## Examples

**Response**

```json
{
  "data": [
    {
      "name": "Contractor",
      "value": "contractor",
      "audiences": [
        {
          "categories": [
            {
              "articles": [
                {
                  "created_at": "2023-03-07T13:34:30.500Z",
                  "description": "Information about other paid and unpaid leave in Portugal",
                  "effective_date": "2023-03-07T13:34:30.500Z",
                  "featured_image": "https://wiki.deel.network/assets/11.png",
                  "id": "a1421df1-9907-483a-a35c-b92ba7403ef1",
                  "tags": [
                    {
                      "id": "a3a9e1ce-7afb-40e2-a171-81ad2eec39ff",
                      "tag": "internal",
                      "title": "Internal"
                    },
                    {
                      "id": "a3a9e1ce-7afb-40e2-a171-81ad2eec39ff",
                      "tag": "portugal",
                      "title": "Portugal"
                    }
                  ],
                  "title": "Other Leave: Portugal",
                  "type": "KNOWLEDGE",
                  "updated_at": "2025-10-27T08:09:48.529Z"
                }
              ],
              "fields": [],
              "icon": "MoreTime",
              "id": "a3a9e1ce-7afb-40e2-a171-81ad2eec39ff",
              "name": "Wages and Working Hours"
            }
          ],
          "name": "Contractor",
          "value": "contractor"
        }
      ]
    }
  ],
  "has_more": false,
  "next_cursor": "abcdef01-2345-6789-0abc-def012345678",
  "total_count": 2
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/knowledge-hub/country-guide/AL"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/knowledge-hub/country-guide/AL';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/knowledge-hub/country-guide/AL"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/knowledge-hub/country-guide/AL")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/knowledge-hub/country-guide/AL")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/knowledge-hub/country-guide/AL', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/knowledge-hub/country-guide/AL");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/knowledge-hub/country-guide/AL")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```